#include "sp_exception.h"

sp_exception::sp_exception(sp_error_code code, const std::wstring& error)
	:std::runtime_error(""), code_(code), error_(error)
{
}

sp_exception::sp_error_code sp_exception::get_code() const
{
	return code_;
}

const std::wstring& sp_exception::get_error() const
{
	return error_;
}
